commoble.bagofyurting

## Class Registrator<T extends net.minecraftforge.registries.IForgeRegistryEntry<T>>

- java.lang.Object
- - commoble.bagofyurting.Registrator<T>

    public class Registrator<T extends net.minecraftforge.registries.IForgeRegistryEntry<T>>
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Registrator(net.minecraftforge.event.RegistryEvent.Register<T> event)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `register(java.lang.String name, T object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Registrator

    public Registrator(net.minecraftforge.event.RegistryEvent.Register<T> event)

### Method Detail

#### register

    public void register(java.lang.String name,
                         T object)